WinAlldatNet IVDK/ESSCA 2.1.9399.754 25.09.2025 00:25:08 R23
- Neu: Qualitätskontrolle Fall - Überprüfung der Datenqualität für den aktiven Fall
- Neu: Optionen-Dialog -> max. 4 Exportverzeichnisse können für KIS konfiguriert werden
- Neu: Dokumenten-Menü - DSGVO konforme Patienteneinwilligungen für Kinder, Jugendliche, Erw.
- Neu: Dokumenten-Menü - Informationen für neue Publikationsvorhaben u.a. Publikationsleitlinie
- Änderung: Kontaktdaten des IVDK IT Supports aktualisiert
- Änderung Datenübertragung/Optionen: Veraltete FTP und SFTP Datenübertragung entfernt
- Änderung Anamnese und Abschlussdokumentation: Zusätzliche automatisch eingeblendete
  * Hilfetexte
- Bugfix Ablesungen: Programmfehler beim anlegen des Kommentars für die Ablesezeit "spät"
- Bugfix Datenübertragung: Nach Datenübertragung erfolgte keine Aktualisierung des 
  * Übertragungsdatums
- Wartungsupdate: Wechsel auf .Net Framework 9
- Wartungsupdate: Microsoft SQL Client auf Version 6.0.2
- Wartungsupdate: 7-Zip DLL auf Version 25.1

WinAlldatNet IVDK/ESSCA 2.1.9146.25200 15.01.2025 14:00:00 R22.1
- DKG Testreihenupdate 01/2025 - bitte beachten Sie die PDF Dokumente in WinAlldatNet
- Wartungsupdate: System.Data.SQLite x86 und x64 DLL auf Version 1.0.119.0
- Wartungsupdate: 7-Zip DLL auf Version 24.9

WinAlldatNet IVDK/ESSCA 2.1.9020.19800 11.09.2024 11:00:00 R22
- DKG Testreihenupdate 07/2024 - bitte beachten Sie die PDF Dokumente in WinAlldatNet
- Änderung: Aktualisierung der IVDK Anschrift
- Änderung DKG Testreihenupdate: Versionserkennung über Datumsfeld in der Datenbank

WinAlldatNet IVDK/ESSCA 2.1.8948.22373 01.07.2024 12:25:46 Patch
- Bugfix Datenbankupdate: Berücksichtigung veralterter Access Daternbanken

WinAlldatNet IVDK/ESSCA 2.1.8928.21600 11.06.2024 12:00:00 Patch
- Neu: Parameter "-encrypt [true/false]" (SQL Server)
  * Verschlüsselte Datenübertragung erzwingen; Standardeinstellung true
- Neu: Parameter "-trustservercertificate [true/false]" (SQL Server)
  * Unsignierte Zertifikate zulassen; Standardeinstellung true
- Änderung Datenübertragung: Datenübertragung per FTP/SFTP ist veraltet und nicht mehr
  * auswählbar
- Änderung: Erweiterung der Konzentrationen bei Prozentangaben auf drei Nachkommastellen
  * und bei ppm auf zwei bis drei Nachkommastellen
- Änderung Testsubstanzliste Testreihen: Automatische Anpassung der Spaltenbreiten beim
  * scrollen der Tabelle mit der Maus
- Änderung Patienten-Fenster: Sperrung einiger Sonderzeichen bei den Namensfeldern
- Bugfix Patienten-Fenster: Komma in den Textfeldern erzeugt eine SQL-Fehlermeldung
- Bugfix Qualitätskontrolle: Programmabsturz bei extern gesetzter Systemzeit und 
  * unterschiedlicher PC Systemzeit
- Bugfix Berichte und Listen: Fehlermeldung bei extern gesetzter Systemzeit und 
  * unterschiedlicher PC Systemzeit
- Wartungsupdate: Wechsel auf .Net Framework 8

WinAlldatNet IVDK 2.1.8741.25335 07.12.2023 14:04:30
- Änderung "Epikutantestung unter systemischer Immunmodulation" in "Erweiterte Anamnese":
  * Neues Eingabefeld "I2.6 Andere"
  
WinAlldatNet IVDK 2.1.8691.29530 18.10.2023 16:24:20
- Änderung Berufsbezeichnungen: Anpassung geschlechtsspezifischer Berufsbezeichnungen

WinAlldatNet IVDK/ESSCA 2.1.8662.31214 19.09.2023 17:20:28
- Neu: Überprüfung der vom Programm verwendeten Dateiordner mittels Schreib-/Lese-Tests
- Neu: Benutzerberechtigungen-Dialog unter dem "Hilfe" Menü. Test und Anzeige der
  * (Schreib-/Lese-)Berechtigungen des aktuellen Benutzers
- Neu: Optionen Programmeinstellungen: Untersuchungsdatum als Testdatum vorschlagen
- Neu: Optionen Design: Anamnese-Fenster maximiert öffnen
- Neu: Optionen Design: Ablesungen-Fenster maximiert öffnen
- Änderung: Anpassungen an die .NET Framework 8 Klassenbibliotheken
- Änderung: Parameter "-readonlyinstall" wird automatisch gesetzt wenn der aktuelle
  * Benutzer keine Schreibberechtigungen im Programmverzeichnis hat
- Änderung Datenübertragung: Es wird automatisch das Optionen-Fenster geöffnet wenn
  * der aktuelle Benutzer keine Berechtigungen für den eingestellten Export-Ordner hat

WinAlldatNet IVDK 2.1.8579.27309 28.06.2023 15:10:18 R21 Patch
- Bugfix DKG Testreihenupdate: Fehlerhaftes Dateidatum unter Windows

WinAlldatNet IVDK/ESSCA 2.1.8566.22502 15.06.2023 12:30:04
- Wartungsupdate: System.Data.SQLite x86 und x64 DLL auf Version 1.0.118.0
- Änderung SQL Server: Umstellung Patienten-Fenster und der freien Textblöcke auf Unicode
- Bugfix "Sprachen bearbeiten": "-Zeichen darf in zu übersetzenden Texten nun vorkommen.
  * Letzter Eintrag in den Übersetzungslisten wird nun immer importiert

WinAlldatNet IVDK/ESSCA 2.1.8536.26102 16.05.2023 14:30:04 R21
- DKG Testreihenupdate 06/2023 - bitte beachten Sie die PDF Dokumente in WinAlldatNet
- Änderung SevenZipSharp: Squid-Box ersetzt veraltete Shaman.SevenZipSharp DLL
- Änderung Dienstprogramme: "Sicherung der Datenbank u. der Programme" wurde entfernt
- Bugfix Datenübertragung tblAnamExtended: Datenexport der Immunmodulatorenstudie fehlte
- Bugfix DB-Sicherung: 7-Zip Format wurde immer verwendet, auch wenn nicht ausgewählt

WinAlldatNet IVDK 2.1.8454.22764 23.02.2023 12:38:48
- Neu: "Epikutantestung unter systemischer Immunmodulation" in "Erweiterte Anamnese"

WinAlldatNet IVDK 2.1.8388.25203 19.12.2022 14:00:06 R20
- Neu: Reaktionssymbol N.T.(L) Nicht getestet wegen Lieferschwierigkeiten

WinAlldatNet IVDK/ESSCA 2.1.8388.25203 19.12.2022 14:00:06 R20
- Neu: Fall-Statistik Dialog unter dem "Berichte und Listen" Haupt-Dialog
- Neu: fallbezogene Datenbankbereinigung entfernt auch ggf. verwaiste Datensätze
- Neu: Strg/Ctrl-Maustaste fügt im Ablesedialog wählbare NT-Reaktionen ein, 
  * um z.B. nicht verfügbare Testsubstanzen in der Ablesetabelle zu markieren
- Änderung: Datenbank-Sicherung:Aufgrund von Berechtigunsproblemen wird 
  * beim SQL Server das Backup im WinAlldatNet Backup-Ordner erstellt
- Änderung: Anpassungen an die .NET Framework 7 Klassenbibliotheken
- Optimierung: "Lösche aktuellen Fall/Patient" bereinigt nun die DB gründlicher
- Optimierung: Berichte und Listen berücksichtigen max(Untersuchungs- bzw. Testdatum)  

WinAlldatNet IVDK/ESSCA 2.1.8242.24641 26.07.2022 13:41:22
- Änderung: Optionen Datenübertragung: "Alternative Datenverschlüsselung" wird Standard
- Änderung: Optionen Datenübertragung: "Veraltete Datenverschlüsselung" nun als Checkbox
  * Mailserver blockieren ggf. verschlüsseltes ZIP-Archiv wegen Malwareverdacht
- Optimierung Druckvorschau: Vergrößerung/Verkeinerung wechselt aus der Einstellung 
  * "Automatisch" in die passende Vergrößerung/Verkeinerung und nicht mehr zu 10%/25%
- Optimierung Druckvorschau: Achtseiten Darstellung in Form von 2 x 4 Seiten
- Bugfix Druckvorschau: Fehlerhafte 125% Auswahl

WinAlldatNet IVDK/ESSCA 2.1.8223.30605 07.07.2022 17:00:10 R19.1
- Bugfix Qualitätskontrolle: Fehlende Anamnese- und Relevanzdaten werden nicht angezeigt

WinAlldatNet IVDK/ESSCA 2.1.8200.18531 14.06.2022 10:17:42
- Neu: Optionen Registersteuerelement/Tab "User permissions"
- Neu: Options KIS - neue Exportauswahl "PDF und XML"
- Änderung: obsoleten Kommandozeilenparameter "IniAndRegistry" entfernt
- Bugfix: normaler Benutzer konnte DKG Testreihenupdate ausführen 

WinAlldatNet ESSCA 2.1.8186.28236 31.05.2022 15:41:12
- Neu: ESSCA Anamnese mit alternativer ISCO-Code-Auswahl für den Beruf 
- Änderung: Tabelle tblAna_text(addonfieldtext) Länge von 80 auf 128 Zeichen erhöht

WinAlldatNet IVDK/ESSCA 2.1.8186.21602 31.05.2022 12:00:04 R19
- Neu: UI Anpassungen KIS Patienten-ID und Fall-ID falls KIS Support aktiviert
- Neu: Refactoring WinalldatNetViewBasic Bericht "Testsubstanz"
  * Reaktionen mit Symbol Kreuztabelle: Altersgruppe, Altersgruppe plus Geschlecht
  * Reaktionen mit Symbol Kreuztabelle: Geschlecht, Ablesezeit
  * Reaktionen mit Symbol Kreuztabelle: Ablesezeit plus Geschlecht
  * Reaktion mit Symbol Kreuztabelle: Gesamtdarstellung
- Neu: Refactoring WinalldatNetViewBasic Bericht "Testmethode"
  * Getestete Fälle Kreuztabelle Jahr plus Geschlecht
  * Getestete Fälle Kreuztabelle Jahr plus Geschlecht plus Monat
  * Getestete Fälle Kreuztabelle Jahr plus Geschlecht plus Quartal
  * Getestete Fälle Kreuztabelle Jahr plus Geschlecht plus Altersklasse
- Neu: "dataexportversion2" wird über den Optionen-Dialog aktiviert
- Änderung: obsoleten Kommandozeilenparameter "-dataexportversion2" entfernt
- Änderung: SQL Server Report-DB ersetzt WinalldatNetViewBasic im DB Test Dialog
- Änderung: Anpassung FTP und SFTP-Pfade in der Datenübertragung
- Bugfix Reporting: Neuere Berichte (Profile) konnten nicht gespeichert werden
- Bugfix UI: Ablesedialog bezüglich einiger falsch angeordneter Schaltflächen
- Bugfix UI: -dbtest Dialog bezüglich einiger falsch angeordneter Schaltflächen
- Bugfix: Radiobuttons DKG- und Klinktestreihen fehlten in "Testsubstanzliste Testreihen"
- Wartungsupdate: 7-Zip DLL 21.07 - Geschwindigkeitsoptimierungen und Bugfixes

WinAlldatNet IVDK/ESSCA 2.1.8082.19900 16.02.2022 11:03:20
- Neu: Körpergröße und -gewicht ersetzen Raucherstudie in "Erweiterte Anamnese"
- Neu: Berichte und Listen - Testreihenstatistik: Getestete Fälle mit Reaktionen
- Änderung: Zusätzliche Fehlerausgaben in Berichte und Listen 
- Bugfix: Indexfehler im Reiter "Ersetzung" im Sprachen-Editor
- Bugfix: Diverse Fehler durch die Umstellung auf .NET Framework 4

WinAlldatNet IVDK/ESSCA 2.1.8053.23512 18.01.2022 13:03:44
- Änderung: Windows 10 Anniversary benutzt das .NET Framework 6 Internet Programmupdate
- Änderung: ältere Windows Versionen benutzen das .NET Framework 4 Internet Programmupdate
- Neu: Parameter "-fw4" erzwingt das .NET Framework 4 Programmupdate des Internet update

WinAlldatNet IVDK/ESSCA 2.1.8053.23512 18.01.2022 13:03:44
- Änderung: Parameter und Werte in winalldatnet.ini können hintereinander geschrieben werden
- Änderung: Kommandozeilenparameter "-paranoia" für SQL Server Benutzer entfernt
- Änderung: Temporäre Dateien werden bei der SQL Server Konvertierung angelegt

WinAlldatNet IVDK 2.1.8053.23512 18.01.2022 13:03:44
- Änderung: DKG Update SQL Server wird auch ohne vollständiges DB-Backup ausgeführt 

WinAlldatNet IVDK 2.0.8045.24821 10.01.2022 13:47:22 R18.1
- Bug fix: No reset of tblNewUniqueTestsubstanceId content after a 2nd DKG Update run

WinAlldatNet IVDK 2.0.8011.22429 07.12.2021 12:27:38 R18
- DKG test series update 01/2022 - please note the PDF documents in WinAlldatNet
- Change: Windows help file and Windows help as PDF document
- Maintenance update: 7-Zip DLL 21.06 - speed optimizations and other improvements
- Internal change: Deletion of backup files no longer required
- Internal change: Minor adjustments regarding Windows 11
- Bug fix: HTML printouts: HTML files were not generated

WinAlldatNet ESSCA 2.1.8007.27370 03.12.2021 15:12:20
- Änderung: Anpassung des Relevanzformulars an ESSCA
- Bugfix: Testreihen-Editor PeS: eingeschänkte Editierbarkeit wurde nicht richtig aufgehoben

WinAlldatNet ESSCA 2.1.8003.21272 29.11.2021 11:49:04
- Änderung: Mindestanforderung .NET Framework von 3.5 auf 4.0 erhöht
- Änderung: Beschränkte Editierbarkeit Testreihen Editor PeS falls Ablesungen existieren
- Änderung: Anpassung Testdurchlauf im Telemetrie-Dialog an ESSCA Blöcke
- Änderung: Aufruf des ESSCA RelevanceTree mit F9 in der Relevanzbeschreibung 
- Neu: Parameter "-patientdefaultcountry" 3-stelliges Länderkürzel als Standardwefa-rotate-180
       für Eingabefeld "Land" im Patientendialog
- Neu: ESSCA Parameter "languageid" Einstellung der Language-ID für die Datenbank
- Neu: ESSCA Parameter "transfername" Klinikname (SMTP und FTP) für den Datenexport
- Änderung: Optimierung der Ladezeit unter .NET 5.0 und höher
- Änderung: Überarbeitung von veralteten Sourcecode-Bereichen (intern)
- Änderung: Separate Internet Update Verzeichnisse für .NET Framework 4.0 und .NET Framework >= 5.0

WinAlldatNet IVDK 2.0.8010.25288 06.12.2021 14:02:56 R18
- Änderung intern: Löschung nicht mehr benötigter Backupdateien
- Änderung intern: Kleinere Anpassungen an Windows 11
- Bugfix HTML Ausdrucke: HTML-Dateien werden nicht generiert

WinAlldatNet IVDK 2.0.7909.30048 27.08.2021 16:41:36
- DKG Testreihenupdate 01/2022 - bitte beachten Sie die PDF Dokumente in WinAlldatNet
- Neu: Parameter "dataexportversion2" zur alternativen Datenübertragung 
       Alternative Datenübertragung: Verschlüsselung der Datentabellen für E-Mail 
       Systeme die passwortgeschützte Zip-Dateien blockieren bzw. als Malware klassifizieren 
- Änderung DKG Update: Umstellung vom Accessdatei "dkgUpdate.mdb" auf SQLite Datei "dkgUpdate.db3"
- Wartungsupdate: System.Data.SQLite x86 und x64 DLL auf Version 1.0.115.0
- Wartungsupdate: 7-Zip DLL 21.05 - speed optimizations and other improvements
- Änderung Datenexport tblExportDataTmp: Wechsel von temporärer zu permanenter Tabelle
- Änderung DKG Update: Umstellung von 9 temporären Tabellen auf permanenten Tabellen
- Änderung intern: DKG Update Migration Accessformat -> SQLite-Format mit Dateiauswahldialog
- Änderung: Windows Hilfedatei sowie Windows Hilfe als PDF Dokument

WinAlldatNet IVDK 2.0.7748.26196 19.03.2021 14:33:12
- Änderung Intern: .Net Core Version von 5.0 auf 6.0
- Bugfix Internetupdate: Anzeigebalken während des Downloads von 80% auf 0% 

WinAlldatNet IVDK 2.0.7675.28475 05.01.2021 15:49:10 R17.1
- Bugfix Testreihenverwaltung: Testart nach Speicherung immer Epikutan

WinAlldatNet IVDK 2.0.7639.28031 30.11.2020 15:34:22 R17
- DKG Testreihenupdate 01/2021 - bitte beachten Sie die PDF Dokumente in WinAlldatNet
- Änderung Datenbank-Konvertierung: keine Auflistung der SQL Server im Netzwerk ab .Net Framework 5.0 möglich
- Änderung Testsubstanzliste Testreihen: Verbesserte Darstellung und zeitliche Einordnung für unbenutzte DKG-Blöcke
- Bugfix DKG Update: Fehlender abschließender tblLogBookSys Eintrag wenn Integritätsfehler behoben wurden

WinAlldatNet IVDK 2.0.7598.27116 20.10.2020 15:03:52 R16.2
- Änderung Menü Dokumente: Untermenü "Tattoo-Dokumente" Tattoo_Zusatzfragebogen_erw_Koerperschmuck.pdf auf Version 4
- Bugfix Anamnese: Korrektur des Untersuchungsdatums erfolgt für alle historischen Fälle bei der Qualitätskontrolle im Hintergrund
- Bugfix Patienten-Block Editor: Speicherfehler ab der 2ten Speicherung bei mehr als vier Patienteneigenen Blöcken 
- Wartungsupdate: Controls1 DLL auf Version 2.4.7585.22420

WinAlldatNet IVDK 2.0.7572.28280 24.09.2020 15:42:40 R16.1
- Änderung Hauptfenster: Bildschirmkopien bzw. Screenshots mit F12 blenden sensible Patientendaten aus
- Änderung Hauptfenster: Die Info-Fläche zur Datumsänderung bei historischen Daten wird ausgeblendet
- Änderung Datenübertragung: Autokorrekturen von inkonsistenten Datumswerten in der Qualitätskontrolle 
- Änderung Datenübertragung: Verhinderung der Übermittlung geänderter aber bereits übertragener, historischer Datensätze
- Bugfix Anamnese: kritischer Fehler bzgl. Untersuchungsdatum nach dem Aufruf historischer Falldaten beseitigt
- Bugfix Anamnese: Korrektur des Untersuchungsdatums erfolgt bei der Qualitätskontrolle im Hintergrund
- Bugfix Anamnese: Untersuchungsdatum bei historischen Daten ließ sich auch ohne Testreihe(n) ändern
- Bugfix Qualitätskontrolle: Fehleranzeige bzgl. Geb.-Datum falsch, falls Untersuchungsdatum in der Zukunft lag
- Optimierung: verbesserte Fehlermeldung, falls ein WinAlldat Net Update nicht verfügbar ist (z.B. Webserver)

WinAlldatNet IVDK 2.0.7521.23180 04.08.2020 12:52:40 R16
- Neu Optionen, Datenübertragung an den IVDK: SFTP mit asymmetrischer Verschlüsselung (pub,ppk) verfügbar
- Neu Menü Dokumente: Untermenü "DKG-Dokumente" mit 5 Dokumenten zum DKG Testreihenupdate
- Neu Menü Dokumente: Untermenü "Tattoo-Dokumente" mit 6 neuen Dokumenten zur DKG Tattoostudie
- Änderung Untersuchungsdatum: Begrenzung bei der Neuanlage eines Falles auf +90 Tage
- Änderung Untersuchungsdatum: der Wert für historische Fälle kann nicht geändert/bearbeitet werden
- Änderung Menü Dokumente: Bereinigung und Konsolidierung der Dokumente
- Änderung DB tblSelectionCat: neue Indikation zur Testung (ID 11) im Rahmen der DKG Tattoostudie
- Änderung IVDK Anamnesebogen: neue Indikation zur Testung (ID 11) im Rahmen der DKG Tattoostudie
- Änderung Ablesung: Sperrung der Speichern und Abbrechen Schaltflächen während des Speichervorgangs
- Änderung Anamnese: Sperrung der Speichern und Abbrechen Schaltflächen während des Speichervorgangs
- Änderung Internet-/Intranetupdate: Datei Systeminformation.exe in den Softwarekatalog aufgenommen
- Optimierung: verbesserte Erkennung und Benachrichtigung bei veralteten Programmversionen
- Wartungsupdate: System.Data.SQLite x86 und x64 DLL auf Version 1.0.113.0
- Wartungsupdate: 7-Zip DLL 20.0 - compression ratio was improved for fast and fastest compression levels
- Wartungsupdate: SQLiteODBC x86 und x64 driver v0.9997 - improved performance and stability
- Wartungsupdate: Controls1 DLL auf Version 2.4.7499.21734
- Bugfix Testreiheneditor: Kontrolle auf Vorhandensein eines Vehikels bei Konzentrationsangaben
- Bugfix Telemetrie-Dialog: Ausnahmefehler im  durch nicht entfernte Testzeile - Debuganweisung
- Bugfix Ablesung Reaktionen: Speicherfehler bei zu schneller, wiederholter Ausführung der Speicherfunktion
- Bugfix Datenbankkonvertierung: Zu hohe Versionsnummer von erstellten MDB-Datenbanken für Jet OLEDB 4.0 Treiber
- Bugfix Berichte und Listen: Excel-Datenexport Button erzeugt unsichtbares Dokument bzw. Instanz
- Bugfix Systeminformation: Mehrfacheintrag .Net Framework 4.8 nach Windows April 2020 Updates

WinAlldatNet IVDK 2.0.7418.29212 23.04.2020 16:13:44
- Änderung Intern: .Net Core Version von 3.1 auf 5.0
- Wartungsupdate: Controls1.dll auf Version 2.3.7417.21404

WinAlldatNet IVDK 2.0.7367.27425 03.03.2020 15:14:10
- Neu: Parameter "-paranoia" für SQL Server Benutzer ohne erweiterte Datenbankberechtigung

WinAlldatNet IVDK 2.0.7340.23625 05.02.2020 13:07:30
- Änderung Intern: Entpacker für 7-Zip Dateien
- Bugfix: Programmabsturz wenn eingestellter globaler Dateipfad nicht verfügbar ist

WinAlldatNet IVDK 2.0.7301.21448 28.12.2019 11:54:56 R15
- DKG Testreihenupdate 01/2020 - bitte beachten Sie die PDF Dokumente in WinAlldatNet
- Änderung Intern: WinAlldatNet Sourcecode ist nun .Net Core 3.1 kompatibel
- Änderung Intern: Neuer Menüeintrag Datenbankintegrität überprüfen
- Änderung Intern: Neuer Menüeintrag Datenbankintegrität reparieren
- Änderung Dokumente: Patientenaufklaerung Epikutantest Version 2019_12_16 im docx und pdf Format
- Bugfix Berichte und Liste: Liste Leistungsstatistik fehlerhafter Filter für Gruppe

WinAlldatNet IVDK 2.0.7264.24939 21.11.2019 13:51:18
- Änderung Intern: WinAlldatNet Sourcecode ist nun .Net Core 3.0 kompatibel
- Änderung Intern: WinAlldatNet Ressourcen von ANSI auf UTF-8 Encoding umgestellt
- Änderung Intern: Dynamische DLL Ansteuerung über die Klasse System.Reflection
- Änderung Systeminformation: Erkennung der installierten Standardprogramme optimiert
- Wartungsupdate: System.Data.SQLite x86 und x64 DLL auf Version 1.0.112.0
- Bugfix Systeminformation: Programmabsturz unter Windows XP durch PrintServer
- Bugfix 7-Zip Komprimierung: Falsche DLL Einbindung unter 64-Bit
- Bugfix Testreihenverwaltung: Falsche Behandlung der Option "Aktiviere <Liste Testsubstanzen>"

WinAlldatNet IVDK 2.0.7205.26347 23.09.2019 14:38:14
- Neu: Parameter "readonlyinstall" für den schreibgeschützenten Betrieb in Terminal-Umgebungen
  ***: Benötigt gesetzen Parameter "globalpath"
- Neu Liste mehrfach getesteter Substanzen: Doppelklick auf Tabelle gibt Liste als HTML aus  
- Änderung Optionen "Typ 4 Standardzeiten": Freie Einstellung von bis zu vier Zeiten
- Änderung: Beruf 491 "Raumausstatter, Dekorateur, Parkettleger" ist nun historisch und kann nicht mehr ausgewählt werden
- Änderung: Beruf 838 "Artist, Berufssportler, Mannequin" ist nun historisch und kann nicht mehr ausgewählt werden
- Änderung: Beruf 852 "Masseur, Krankengymnast, med. Bademeister u.ä." ist nun historisch und kann nicht mehr ausgewählt werden
- Änderung: Beruf 853 "Krankenschwester, -pfleger, Hebamme" ist nun historisch und kann nicht mehr ausgewählt werden
- Änderung: Beruf 854 "Krankenpflegehelfer, Sanitäter" ist nun historisch und kann nicht mehr ausgewählt werden
- Änderung: Beruf 855 "Diätassistenten, Pharmazeut.-techn. Assistenten (PTA)" ist nun historisch und kann nicht mehr ausgewählt werden
- Änderung: Beruf 857 "Medizinallaboranten, MTA, Röntgenassistenten u.ä." ist nun historisch und kann nicht mehr ausgewählt werden
- Änderung: Beruf 902 "Kosmetiker, Fußpfleger u.ä." ist nun historisch und kann nicht mehr ausgewählt werden
- Optimierung: Erkennung Access Datenbanktreiber
- Änderung: Kombinierter csv/HL7 KIS Datenimport/-export mit frei wählbarer Feldzuordnung
  ********: Schnittstelle ist noch nicht funktionell !!!

WinAlldatNet IVDK 2.0.7093.24149 03.06.2019 13:24:58  R14
- DKG Testreihenupdate 07/2019 - bitte beachten Sie auch die PDF Dokumente in WinAlldatNet
- Neu: Parameter "x64" aktiviert 64-Bit Winalldat Net Programmversion (u.a. Linz)
- Neu: Datei "winalldatnet64.exe" 64-Bit Version von WinAlldat Net
  ***: Nicht verwendbar beim Einsatz von 32-Bit Office- und Accessversionen!
- Neu: Parameter "systeminfo" erstellt und speichert Systeminformationen als Textdatei
- Neu: Parameter "extendedgender" aktiviert drittes Geschlecht in Winalldat Net ESSCA
- Neu: Parameter "localreport" Verwendung lokaler SQLite Report-Datenbank statt SQL Server
- Neu: Diagnose 39 "Tattoo-Unverträglichkeit", Lokalisation 53 "Tattoo"
- Neu: Beruf 908 "Tätowierer", Berufsobergruppe 1902; Testsubstanz "Isoborny-Acrylat" u.a.
- Neu: Optionsreiter "Programmeinstellungen" mit Einstellung "erweiterte Zeilenhöhe Testprotokoll Formular" 
- Optimierung und Bereinigung des Quellcodes auf der Basis von Visual Studio 2019 Empfehlungen
- Optimierung der Datenbank-, Netzwerk- und Druckerinformationen in der "Systeminformation"
- Optimierung: Telemetrie-Dialog nun mit zusätzlichen DB- und Netzwerk-Diagnosedaten
- Optimierung: Positionierung der Steuerelemente bei Zoomstufen <> 100%
- Änderung: Geschlecht um "x=divers/intersexuell" erweitert (D/A)
- Änderung: Feld für Geschlecht "x=divers/intersexuell" ist deaktiviert falls HFG (CH)
- Änderung Testprotokoll Formular: neue Einstellung "Kopfdaten für Fall drucken" u. "Erw. Zeilenhöhe"
- Änderung Testprotokoll Formular: neue Schaltfläche "Typ 4 Standardzeiten" 
- Änderung Ausdrucke: Bessere Tabellenbehandlung bei erweiterten Zeilenhöhen
- Anderung Ablesedialog: Neue Schaltfläche mit "Typ 4 Standardzeiten" zur Eingabe-Automatisierung
- Änderung: Access Datenbankbereinigung und -reparatur nun im x64 Modus möglich
- Änderung Telemetrie: Verwendete Datenbankeinstellungen und Geschwindigkeit Netzwerkkarte hinzugefügt
- Änderung Internet/Intranet-Update: Eindeutigere Fehlermeldungen
- Wartungsupdate: System.Data.SQLite DLL auf Version 1.0.111.0
- Bugfix DKG Testreihenupdate unter SQLite: Anpassung inkompatibler SQL Anweisungen
- Bugfix Ausdrucke: 01.01.1900 als "gültig ab" Datum im PeS Testprotokoll-/Formular korrigiert

WinAlldatNet IVDK 2.0.7003.24264 05.03.2019 13:30:01 R13
- Optimierung: verbesserte Ausgabe von Hinweisen beim Internetupdate
- Bugfix: Berichte und Listen - SQL Abfragen Allergenhistliste korrigiert

WinAlldatNet IVDK 2.0.7000.3 02.03.2019 00:00:06
- Wartungsupdate: System.Data.SQLite x86 und x64 DLL auf Version 1.0.110.0
- Bugfix: Haarfarben Studie - substid 3229 wurde nicht in tblSubstance eingefügt

WinAlldatNet IVDK 2.0.6999.21188 01.03.2019 11:46:16
- Bugfix: Datumsfelder wieder ohne Uhrzeit in tblBlock nach DKG Testreihenupdate
- Bugfix: tblCaseEssca - falsche Zuordnung der zusätzlichen ESSCA-Berufe

WinAlldatNet IVDK 2.0.6996.25572 26.02.2019 14:12:24
- Neu: Parameter "locallanguageadmin" für Zugriff auf Bearbeitungmasken der Sprachdatenbank
- Bugfix: Beseitigung null-reference Bug in der erweiterten Relevanzbeschreibung 
- Erweiterung: neue Substanzen zur Haarfarben Studie in tblSubstance eingefügt
- Optimierung: Ausgabe von Hinweisen bei (Teil-) Pseudonymisierung der Datenbank 
- Optimierung: Diagnosen ohne Lokalisation werden in Qualitätskontrolle nicht mehr überprüft
- Wartungsupdate: 7-Zip DLL 19.00 - increased encryption strength for 7-zip archives

WinAlldatNet IVDK 2.0.6954.22791 15.01.2019 12:39:42 R12
- Neu: Dialog Optionen - zusätzlicher Reiter bzw. Registersteuerelement "Design"
- Neu: Checkbox "Zeiten aus Testprotokoll Formular für Patienteneigene Testprotokoll Formular verwenden"
  unter Optionsdialog "Programmeinstellungen:Protokolle und Ablesezeiten"
- Neu: Berichte und Listen - Standard-Dateiname[Listenname_Filter_Zeitraum] beim Speichern 
- Neu: Erweiterte Relevanzbeschreibung zu jeder Testsubstanz optional verfügbar
- Änderung Optionen: Reiter "Sonstige Optionen" umbenannt in "Programmeinstellungen"
- Änderung Optionen: Reiter "Testprotokoll" (Testprotokoll-Formular) entfernt bzw. verschoben
  und ist nun ein eigenständiger Dialog "Testprotokoll Formular" im Menü "Extras"
- Änderung Hilfe: Aktualisierung der WinAlldat Net Hilfe, Ergänzungen um neue Help Topics/IDs
- Änderung: neue Anschrift des IVDK durch Umzug innerhalb von Göttingen zum 15.09.2018
- Änderung KIS Optionen: Erweiterungen der Import-/Export-Schnittstelle 
- Änderung: Fehlerprotokoll vom Menü "Extras" in das Menü "Hilfe" verschoben
- Änderung: Sortierung der Reaktionssymbole nach reactid im Dialog "Ablesungen"
- Änderung: FreeText komplett auf transaction umgestellt, Performancegewinn bei SQL Server
- Änderung: Aktualisierung der internen Steuerelement-Bibliothek controls1.dll
- Optimierung: Refaktorisierung, Bereinigung und Funktionserweiterungen im Quellcode
- Optimierung: Aufbau und Anzeige der Testsubstanzlisten bei F3/F9 im TS-Editor beschleunigt
- Optimierung: Testprotokoll (Formular) mit neuer Testreihen-Kopfzeile - enthält u.a. Testdatum
- Erweiterung: 2 neue Berufe sowie 2 neue PDF Listen zu den Berufen
- Wartungsupdate: System.Data.SQLite DLL auf Version 1.0.109.0
- Wartungsupdate: 7Zip DLL 18.6 - speed for LZMA/LZMA2 compressing was increased by 3-10%
- Bugfix: Anzeige von "pur" als Konzentration nach Substanzauswahl im Testreihen-Editor
- Bugfix: Anzeigeinfo historische Daten nach dem Ändern der Schwelle in den Optionen
- Bugfix: FreeText - SQL Server Syntaxfehler im select statement bzgl. order by korrigiert
- Bugfix: Lokale Passwortdatei wird globale Passwortdatei, falls nicht vorhanden
- Bugfix: Einführung einer ComboBoxBug-Funktion zur Deselection von Text in Comboboxen
- Bugfix: in SMTP Versand, FTP Support, Ablesebemerkung ohne F1 Hilfe usw.

WinAlldatNet IVDK 2.0.6737.18716 12.06.2018 10:23:52 - R11
- Neu: DKG Testreihen Update 07/2018 - beachten Sie die DKG PDF Dokumente
- Neu Teil-/Pseudonymisierte Datenbanken: SQL Server Pseudonymisierung als Access-/SQLite-Ausgabe-DB
- Änderung Teil-/Pseudonymisierte Datenbanken: Ausgabe als komprimiertes 7-Zip Achiv
- Bugfix DKG Update: Nicht aktualisierbare Testsubstanz-ID in Reparaturfunktion
- Bugfix Testreihenverwaltung: Fehlerhafte Info-Box Ausgabe bei Sprachen ungleich Deutsch.

WinAlldatNet IVDK 2.0.6726.25998 01.06.2018 14:26:36
- Änderung Anamnese: Kontaktstoff 51 Tätowierungen ist veraltet und nicht mehr auswählbar 
- Änderung Testreihenverwaltung: Nach Speicherung bleibt der zuletzt bearbeitet Block angezeigt
- Bugfix Testreihenverwaltung: Fehlende Substanz-ID durch geänderte Windows Ereignis-Verarbeitung

WinAlldatNet IVDK 2.0.6694.21063 30.04.2018 11:42:06
- Neu: Sonstige Optionen - Ablesezeitsymbol "Tage" statt h für Tage > 4 und "min" statt m
- Neu: Schreibgeschützte historische Daten - ehemals schreibgeschützte historische Ablesungen
- Neu Sprachen-Editor: Kontextmenü zur Sortierung nach Änderungs- und Erzeugungsdatum
- Änderung Anamnese "4.3. Weiterer 2. Beruf": wird erst aktiviert wenn "4.1. Aktueller 1. Beruf" OK
- Änderung Essca-Anamnese: Verbesserungen und Optimierungen im Dialog
- Bugfix Anamnese: Plausibilitätskontrolle Untersuchungsdatum entfällt wenn Testplan fehlt
- Bugfix Anamnese: Auswahl obsoleter (veralteter) Berufsbezeichnungen nicht mehr möglich
- Bugfix Erweiterte Anamnese (Zigarettenkonsum): Bei Neuanlage falsch als aktiviert angezeigt
- Bugfix Sprachen-Editor: Ex- und Import im Excelformat korrigiert und optimiert (Hashwert)
- Intern: Entfernung mehrfach vorkommender Einträge älter als 1 Jahr aus Tabelle tblLogBookSys
- Intern: Schreibgeschützte historische Daten von Jahr auf datediff
- Intern: RelevanceTree.exe u.a. obsolete Dateien aus dem Programmverzeichnis entfernt
- Intern: NET Framework 4.7.2 Erkennung
- Wartungsupdate: Controls1 DLL auf Version 2.0.6674.25791

WinAlldatNet IVDK 2.0.6659.30023 26.03.2018 16:40:46
- Änderung: DKG Update Überprüfung und Reparatur inkonsistenter Block-Testsubstanz Beziehungen
- Änderung: Überprüfung vorhandener Patienten im Patientenimport von ipatid auf Importfelder-Hash
- Bugfix Relevanzbeschreibung: Null-Referenzfehler bei Aufruf ESSCA RelevanceTree

WinAlldatNet IVDK 2.0.6648.21252 15.03.2018 11:48:24
- Neu: DKG Testreihen Update - Überprüfung und Autokorrektur inkonsistenter DKG-Testreihen
- Neu: Parameter "??" zur Anzeige zusätzlicher Programmparameter
- Änderung: Layout bei Bildern in den Ausdrucken angepasst
- Wartungsupdate: System.Data.SQLite DLL auf Version 1.0.108.0
- Wartungsupdate: 7-Zip DLL auf Version 18.3

WinAlldatNet IVDK 2.0.6627.29751 22.02.2018 16:31:42
- Neu: ESSCA Relevance Integration, s.a. Optionen unter Tastatur, Anamnese und Textbausteine
- Bugfix Patienten: Duplikaterkennung liefert bei Abbruch keine ipatid
- Intern: Zusammenführung von mehrfach vorkommenden Patienteneinträgen

WinAlldatNet IVDK 2.0.6599.31192 25.01.2018 17:19:44
- Neu: Parameter "iniandregistry" Optionen aus Registry wenn WinAlldatOptions.ini nicht vorhanden
- Neu: Parameter "nolanguagetest" verwendet die in der WinAlldatOptions.ini hinterlegte LanguageID
- Änderung: Textkorrektur Relevanz-Texte
- Änderung: Internes Datenbanktool verbesserter csv-Export
- Änderung: Optionen werden nur noch in der WinAlldatOptions.ini hinterlegt
- Wartungsupdate: 7-Zip DLL auf Version 18.1
- System.Data.SQLite DLL Wartungsupdate auf Version 1.0.107.0

WinAlldatNet IVDK 2.0.6564.20851 21.12.2017 11:35:02   R10
- Neu: DKG Testreihen Update 01/2018 - beachten Sie die DKG PDF Dokumente
- Neu: Darstellung historischer Testreihen in "Testsubstanzliste Testreihen"
- Neu: "Testsubstanzliste Testreihen" kann mehrfach aufgerufen werden (Vergleichsmöglichkeit)
- Neu: Obsolete Dokumente aus dem Ordner Anamnese werden in den Ordner "Backup" verschoben
- Neu: DB- und Tabellensicherung im globalen Backup-Ordner vor dem DKG Testreihen Update 
- Änderung Hilfe: Hinweise zum Datenschutz und zur pseudonymisierten Datenübermittlung 
- Wartungsupdate: Controls1 DLL auf Version 2.0.6554.29112
- Wartungsupdate: System.Data.SQLite DLL auf Version 1.0.106.0
- Bugfix Testreihenverwaltung: Eingabefokus wird auf neue Reihe gesetzt
- Bugfix SQL Server DKG Update: Falsche Zuordnung tblBlocksubst.testsubstid 
- Bugfix Qualitätskontrolle: Vorhandene Berufsangaben werden als fehlend gelistet
- Bugfix Erweiterte Anamnese (Raucherstudie): Plausibilitätskontrolle korrigiert   

WinAlldatNet IVDK 2.0.6514.19908 01.11.2017 11:03:36   R9
- Neu: Qualitätskontrolle - Liste mit Fällen mit Testreihen ohne Ablesung
- Neu: Qualitätskontrolle - Liste mit Fällen ohne Testplan oder Testungen
- Aktualisierung und Erweiterung: Berufe und Berufgruppen
- Änderung: interne Liste der IVDK Kliniken ergänzt und korrgiert
- Änderung: "anonymisiert" durch "pseudonymisiert" gemäss BDSG/EU-DSGVO ersetzt
- Änderung: Menüeinträge im Menü Dokumente mit Dateiendungen

WinAlldatNet IVDK 2.0.6474.20285 22.09.2017 11:16:10
- Neu: Parameter "dbbackuppass" verschlüsselt mit "dbbackup" erstellte DB Backups
- Neu: Durchlauf aller Fenster per Knopfdruck zur Erstellung der Sprachdatenbank 
- Änderung: Anzeige der SQL Server Reportdatenbank im internen SQL-Editor
- Bugfix Berichte und Listen: Falsche Filterabfrage
- Bugfix: Falsche Datumsformatierung im Testreihen-Editor (nur SQL Server)

WinAlldatNet IVDK 2.0.6470.22690 18.09.2017 12:36:20
- Änderung Parameterübergabe: Ordner- und Dateipfade dürfen das Zeichen " enthalten
- Änderung Parameter "dbbackup": Fehler werden in die Log-Datei geschrieben
- Änderung Parameter "dbbackup": Programm wird im Fehlerfall mit Exitcode -99 beendet
- Bugfix Verbindungsfehler SQL Server: Ordnungsgemäßes Programmende, falls Anmeldung fehlschlägt

WinAlldatNet IVDK 2.0.6467.27576 15.09.2017 15:19:12
- Neu: Parameter "dbbackup" - erstellt Backup der WinAlldat Net SQL Server Datenbank
- Änderung: MS SQL Server Backup von SQL-Dump auf Datenbank-Backup-Datei umgestellt
- Änderung: Reporting Tabellen bilden nun eigenständige MS SQL Server Datenbank
- Änderung: Datenübertragung: tblPatient.txt, Feld PLZ und Datecurrent ohne Daten (NULL)
- Bugfix MS SQL Server und SQLite Datenexport: tblExportDataLog

WinAlldatNet IVDK 2.0.6456.31162 04.09.2017 17:18:44
- Neu Optionen FTP Datenübertragung an den IVDK: Geschützte SFTP Datenübertragung einstellbar
- Änderung Datenübertragung an den IVDK: Geburtsdatum durch Alter ersetzt
- Bugfix Optionen FTP Proxy: Port standardmäßig auf 80
- Bugfix Testprotokoll: Behandlung überlanger Texte am Ende von Tabellen

WinAlldatNet IVDK 2.0.6430.36318 09.08.2017 20:10:36
- Änderung Editoren zur Verwaltung der Testreihen: Text in den Tabellen ist am Beginn nicht mehr markiert
- Bugfix Editoren zur Verwaltung der Testreihen: Leeres Vehikel beim Zeilenverschieben
- Bugfix Datenexport: Falsche Datenzuweisung Raucherstudie

WinAlldatNet IVDK 2.0.6428.19882 07.08.2017 11:02:44
- Änderung: Erweiterte Fehlerprotokollierung im Editor zur Verwaltung der Patienten-Testreihen

WinAlldatNet IVDK 2.0.6423.21834 02.08.2017 12:07:48
- Änderung: Umstellung IVDK-FTP Zugang
- Aktualisierung: .NET Framework Erkennung
- Bugfix Qualitätskontrolle: Berufsangabe bei Kindern und Schülern
- Bugfix Anamnese: Fehlende Eingabebegrenzung bei den Ausgeübt von/bis Feldern

WinAlldatNet IVDK 2.0.6414.19090 24.07.2017 10:36:20
- Neu: Parameter "globalpath" - gemeinsames Verzeichnis (MS SQL Server DB)
- Neu: Optionen Ausdrucke - Fettschrift für Kopf- und Fußzeile 
- Neu: Sonstige Optionen - Testsubstanzen Typ 1 im Befundprotokoll unterdrücken
- Neu: Sonstige Optionen - ? und f Reaktionen im Befundprotokoll unterdrücken
- Neu: Sonstige Optionen - Sortierung im Befundprotokoll nach Testart und Testsubstanznamen 
- Neu: vollständiges DB-Backup vor dem DKG Update - nur Access und SQLite
- Änderung: Befundprotokoll Text "Relevanz" in "Relevanzbeurteilung" geändert
- Änderung: Befundprotokoll Einrückungen Relevanzbeurteilung und Relevanzbeschreibung
- Änderung: Berichte zur Qualitätskontrolle werden nur 1x pro Tag prokolliert
- Änderung: Dateibereinigungen werden nicht mehr protokolliert
- Änderung: Windows Hilfedatei sowie Windows Hilfe als PDF Dokument
- Bugfix: DKG Update Datenbank konnte nicht gefunden werden (Windows 10 und ACE OLEDB 12)
- Bugfix: Vehikel ließ sich im Testreihen-Editor nicht ändern

WinAlldatNet IVDK 2.0.6400.39776 10.07.2017 22:05:52
- Änderung: Verbesserte PDF-Ausgabe 

WinAlldatNet IVDK 2.0.6394.23957 04.07.2017 13:18:34
- Änderung: Jet OLEDB 4 Access Datenbanktreiber als Default für Windows 7 und älter

WinAlldatNet IVDK 2.0.6393.19855 03.07.2017 11:01:50
- Aktualisierung Fremdlizenzen
- PdfSharp Wartungsupdate auf Version 1.50
- 7-Zip DLL Wartungsupdate auf Version 17.0
- System.Data.SQLite DLL Wartungsupdate auf Version 1.0.105.0
- Änderung: Berichte und Listen Optimierung der Aufbereitung
- Berichte und Listen Schriftgröße abhängig von Anzahl der Spalten 

WinAlldatNet IVDK 2.0.6367.20256 07.06.2017 11:15:12
- Neu: DKG Testreihen Update 07/2017 - beachten Sie die DKG PDF Dokumente
- Neu: Proxy-Option für Internetupdate per HTTP und FTP-Datenübertragung 
- Neu: Teilanonymisierte Datenbankkopie (Nur Access und SQLite)
- Neu: Optionaler Klartext-Block am Ende des Befundprotokolls (USZ)
- Neu: Anzeige Releasedatum im WinAlldat Net Info-Fenster (About-Dialog)
- Neu: Erweiterte Datenbankfehleranzeige
- Änderung: Relevanzbeschreibung auf 120 Zeichen beschränkt
- Änderung: Relevanzbeschreibung und Kontaktstoffeingabe für bestimmte Relevanzen gesperrt
- Änderung: Windows Hilfedatei sowie Windows Hilfe als PDF Dokument
- System.Data.SQLite DLL Wartungsupdate auf Version 1.0.105.0
- Adressänderung in: IVDK Institut an der Universitätsmedizin Göttingen
- Intern: Bugfix DKG Testreiheneditor bzgl. Erzeugung der blockid 
- Intern: Datenexport tblAnamExtended Spalte smoke_comment ohne Zeilenumbruch
- Intern: optionale Datenbankkonvertierung von dkgupdate.mdb in das SQLite Format

WinAlldatNet IVDK 2.0.6303.22195 04.04.2017 13:19:50
- Änderung Raucherstudie: Überprüfung Pflichtfelder
- Änderung Datenbankexport: Anlage winalldativdk.mdb aus dem Programm heraus
- Korrektur Tastaturverhalten: Taste "Entf" löscht Zeichen von rechts in RTF-Textfeldern
- Relevanzanzeige: Geänderte Abfrage zur robusteren Anzeige bei Access-Datenbank Indexfehlern

WinAlldatNet IVDK 2.0.6292.24517 24.03.2017 13:37:14
- Neu: Anonymisierte Datenbankkopie (Nur Access und SQLite)
- Berichte und Listen: Bugfix Leistungsstatistik
- Neu in WinAlldat Net View Basic: Leistungsstatistik als Bericht hinzugefügt
- Datenbankreparatur für Access ohne Neustart falls exklusiver Dateizugriff 
- Neu: Parameter -localdbadmin Datenbankfunktionen für Kliniken ohne Fernwartungszugang
- Neu: Parameter -localimportexportadmin Datenexportfunktion für Kliniken ohne Fernwartungszugang

WinAlldatNet IVDK 2.0.6257.24831 17.02.2017 13:47:42
- Änderung Raucher- und Tattoo Studie: Defaultwert "Unbekannt" im Dialog hinzugefügt
- Bugfix Ablesungen: Gesperrte Einträge wurden selektiert dargestellt
- Bugfix Ablese-Bemerkung: Index-Verletzung beim Abbruch
- Intern: Verlagerung der DB-Update-Funktion

WinAlldatNet IVDK 2.0.6247.21854 07.02.2017 12:08:28
- Benutzerfreundlichere Gestaltung Datenübertragung
- Aufruf von Winalldat Net View Basic über "Berichte und Listen"
- Ergänzung DB-Update (Scripte und Durchführung)
- Erweiterung interne IVDK-Tools (SQL Editor)
- Korrektur Tastatureingabeverhalten Auswahlboxen

WinAlldatNet IVDK 2.0.6235.21912 26.01.2017 12:10:24
- Neu: IVDK Studie mit Tattoo Zusatzfragen
- Neu: Datenbankupdate - Administrator-Werkzeug unter Menüpunkt Hilfe
- Druckausgabe: Verbesserter Zeilenumbruch bei Textblöcken
- Datenübertragung: Verbesserte Anzeige der zu korrigierenden Datumswerte
- Bugfix Ablesungen: Doppelte Zeiten bei Zeitauswahl über Tastatureingabe
- Bugfix: benannte Registersteuerelemente

WinAlldatNet IVDK 2.0.6219.34461 10.01.2017 19:09:00
- IVDK/ESSCA Version: Anzeige Korrektur Berufe/Relevanzen
- Abschlußdokumentation Sonstige Kofaktoren: Eingabekontrolle

WinAlldatNet IVDK 2.0.6215.25770 06.01.2017 14:22:47
- tblBewert: update kltx_rel_id u. contactid=Null to 0
- Parameter -dbupdate: cli akzeptiert ext. SQL Script
- CLI winalldatnet_dbupdate.cmd: execute internal SQL Updates

WinAlldatNet IVDK 2.0.6199.21499 21.12.2016 11:56:38
- Patienteneigene Substanzen: Bugfix Relevanz
- Exportschnittstelle KIS (winalldatexport.dll)

WinAlldatNet IVDK 2.0.6193.26098 15.12.2016 14:29:56
- Überarbeitete Zusatzfragenverwaltung
- Änderung internes Datenbank-Update
- Bugfix Anamnese Pos1 Speicherung

WinAlldatNet IVDK 2.0.6169.19935 21.11.2016 11:04:30
- Ablesedialog: Strg-C und Strg-V in Comboboxen hinzugefügt
- Winalldat Net Hilfe korrigiert und ergänzt
- Winalldat Net Leitfaden korrigiert und ergänzt

WinAlldatNet IVDK 2.0.6165.22374 17.11.2016 12:25:48
- Ablesedialog: Überarbeitete Tastatursteuerung
- Aktuelle Zeilenmakierung in Testreihenverwaltung und Ablesedialog

WinAlldatNet IVDK 2.0.6151.38619 03.11.2016 21:27:18
- Telemetrie Kurztest: Funktionstaste F7 kein lokaler PC-Performancetest 
- Ablesedialog: Optimierung beim Speichern der Ablesungen - holdconnection
- Diverse Bugfixen: u.a. Korrektur Intranetpfad beim -update Parameter

WinAlldatNet IVDK 2.0.6142.23387 25.10.2016 15:40:40
- Ablesungen Anzeige Speicherstatus

WinAlldatNet IVDK 2.0.6134.29557 17.10.2016 17:25:14
- Aktualisierung FTP Klinik-Liste

WinAlldatNet IVDK 2.0.6128.38998 11.10.2016 22:39:56
- Verbesserte Geschwindigkeit beim Drucken über Netzwerk

WinAlldatNet IVDK 2.0.6124.22906 07.10.2016 13:43:32
- Bugfix Spezialsortierung Testreihen

WinAlldatNet IVDK 2.0.6107.26529 20.09.2016 15:44:18
- System.Data.SQLite DLL Wartungsupdate auf Version 1.0.103.0
- Screenshots des aktuellen Fensters mit der F12 Taste
- Bugfix Relevanzen: Anzeige in Dialogen, Relevanzformular u. Befundprotokoll
- Diverse Bugfixen: u.a. Handling Dezimalseparator Schweizerdeutsch

WinAlldatNet IVDK 2.0.6097.34473 10.09.2016 20:09:06
- Aktualisierte Rückengrafik und Vorinstallation DKG Update 10/2016
- Überarbeitete, korrigierte und erweiterte Hilfedatei sowie Leitfaden
- Bugfix Speicherung Anamnese in Version 2.0.6086.24333

WinAlldatNet IVDK 2.0.6086.24333 30.08.2016 14:31:06
- Reporting: Auswahlliste von Listen und Berichten alphabetisch sortiert
- Reporting: Menü "Eigene Berichte" zur Verwaltung bzw. Speichern von Listeneinstellungen
- Parameter -jet: Bessere Netzwerkperformance durch Jet OLEDB 4.0 DB Treiberaktivierung
- Telemetrie: Benchmarktests zur Diagnostik von PC Leistung und Datenbankzugriffen
- Bessere Performance beim Laden im Dialog Ablesungen
- Beschleunigte Sprachübersetzung
- SQLite Datenbankdateien werden nicht mehr als 0-Byte Dateien angelegt  
- Bessere Performance beim Laden/Speichern von Anamnese, Relevanz u. Abschlußdokumentation
- Patienteneigene Testreihe: bei Eingabe von Testsubstanzen ist "pur" Standardkonzentration
- Bugfix "Neuer Fall" bei mehrfacher, konsekutiver Ausführung bei gleicher ipatid (typ=0)
- Bugfix Systeminformation: Keine Anzeige falls installiertes Programm nicht existiert

WinAlldatNet IVDK 2.0.6045.34492 RC8 20.07.2016 20:09:44
- System.Data.SQLite auf Version 1.0.102.0
- Neues WinAlldatNet Programm-Icon 
- Fehlerkorrekturen u.a. Ablesekommentare, optimierte Comboboxen
- Verbesserte Systeminformationen mit Backgroundworkern
- Test und Übersicht der Datenbankanbindung mit Parameter -dbtest
- Datenbankanbindung ohne ODBC via winalldatnet.ini möglich
- Erweiterte IVDK Anamnese mit neuer Tabelle tblAnamExtended
- Erweiterte IVDK Anamnese mit Fragen Z1-Z4 zum Zigarettenkonsum 
- Patientendialog: Duplikaterkennung bei neuen Patienten
- Reporting: "weiches" Scrollen in den Datentabellen 

WinAlldatNet IVDK 2.0.6009.22971 RC7a 14.06.2016 13:45:42
- Bugfix Datenübertragung (SysInfo-Ausgabe)

WinAlldatNet IVDK 2.0.5997.24787 RC7 02.06.2016 14:46:14
- 7-Zip auf Version 16.02
- HTML-Druckausgabe
- Anpassung Darstellungsverhalten bei eingestellter Bildschirmskalierung
- Diverse Bugfixen

WinAlldatNet SQLite 2.0.5955.22455 Beta 21.04.2016 13:28:30
- System.Data.SQLite auf Version 1.0.101.0
- DKG Testreihenupdate

WinAlldatNet ESSCA 2.0.5941.25170 Beta 07.04.2016 14:59:00
- Bugfixen Sprachübersetzung

WinAlldatNet IVDK 2.0.5941.25170 RC6 07.04.2016 14:59:00
- Bugfix Testprotokoll Formular Testzeiten

WinAlldatNet IVDK 2.0.5933.20593 RC5 30.03.2016 12:26:26
- 7-Zip auf Version 15.14
- Auswahl Fälle, Absteigende Sortierreihenfolge (Neuste Fälle zuerst)
- Reporting Testreihenstatistik, Detailanzeige Patientenübersicht zur ausgewählten Testreihe
- Testsubstanzliste Testreihen, Blockauswahl
- DKG/Klinik-Block auswählen, Testdatum Berücksichtigung Blockgültigkeit
- Anpassung Datenexport, Qualitätskontrolle blockiert Datenübertragung nur noch bei Datumsfehlern
- Aktualisierung der IVDK-Dokumente bei Betätigung der Refresh-Schaltfläche
- Statusanzeige Druckausgabe
- Klartextblock, Neue Auswahl "Automatisch einrücken"
- Anamnese, "Zoom Brief an Textbaustein"
- Bereinigung des IVDK-Dokumente-Ordners "Anamnese" beim Updateprozess
- Bugfix Datenübertragung, Formatierung tblFreetext
- Bugfix Druckausgabe, falsche Übernahme der Schriftgröße
- Bugfix Anzeigereihenfolge tblLogbooksys
- Bugfix Fall-/Patientenauswahl bei Filterung und Vergrößerungen <> 100%

WinAlldatNet IVDK 2.0.5890.39323 RC4 16.02.2016 21:50:46
- Anpassung Testprotokoll-Druckausgabe
- Anpassung Texte Testreihenverwaltung
- Anpassung Sortierung Ausgabe tblLogbooksys
- Änderung Suche/Auswahl Testsubstanzen/Patienteneigene Substanzen
- Beschleunigung zu Ermittlung der Konzentrationen in diversen Dialogen u.a. Testsubstanzsuche und -listen 
- Bugfix Ausgabepfad "Block exportieren"

WinAlldatNet IVDK 2.0.5877.39375 Beta (Essca) 03.02.2016 21:52:30
- Diverse Bugfixen

WinAlldatNet IVDK 2.0.5868.22339 RC3 25.01.2016 12:24:38
- Ablesung Reaktionen, verbessertes Eingabeverhalten Zeitauswahl

WinAlldatNet IVDK 2.0.5868.22339 Alpha (Essca) 25.01.2016 12:24:38
- Baumstrukturauswahl Relevanz
- Baumstrukturauswahl Lokalisation
- Abschlussdokumentation, Daten laden und speichern 

WinAlldatNet IVDK 2.0.5861.20664 RC2 18.01.2016 11:28:48
- Änderung Fehlerbehandlung Datenübertragung

WinAlldatNet IVDK 2.0.5847.19027 RC1 04.01.2016 10:34:14
- winalldatup.exe auf Version 1.3 (für .Net Framework 2.x und 3.x)
- winalldatup4.exe auf Version 1.3 (für .Net Framework 4.x)

WinAlldatNet IVDK 2.0.5826.38710 Beta 14.12.2015 21:30:20
- System.Data.SQLite auf Version 1.0.99.0
- Sprachwechsel ohne Neustart

WinAlldatNet IVDK 2.0.5819.26117 Beta 07.12.2015 14:30:34
- Bugfix Seitenumbrüche bei Druckausgabe
- Erkennung fehlerhafter Access-Datenbanken Reparaturen

WinAlldatNet IVDK 2.0.5808.23767 Beta 26.11.2015 13:12:14
- Reporting Erweiterung der Listen

WinAlldatNet IVDK 2.0.5794.35655 Beta 12.11.2015 19:48:30
- Bugfix Qualitätskontrolle
- Optimierung Geschwindigkeit Qualitätskontrolle
- Bugfix Druckerauswahl stürzt nach Windows-Update ab

WinAlldatNet IVDK 2.0.5780.36659 Beta 29.10.2015 20:21:58
- Reporting Direktaufruf des WinAlldatNet Reportings
- Reporting Erweiterung der Listen
- Dateiausgabe Systeminformation Datum als ISO-Datum im Dateinamen
- Neue Anzeige Kommandozeilenparameter

WinAlldatNet IVDK 2.0.5764.25162 Beta 13.10.2015 14:58:44
- Reporting Testreihen- und Leistungsstatistik
- Reporting, verbesserte Filterung
- Bugfix HTML-Ausgabe mit Leerzeichen im Dateipfad
- Bugfix Ausdrucke, Seitenanzahlausgabe bei Seitenauswahl

WinAlldatNet IVDK 2.0.5736.40254 Beta 15.09.2015 23:21:48
- Bugfix Testprotokoll Statistik

WinAlldatNet IVDK 2.0.5724.34747 Beta 03.09.2015 20:18:14
- Testversion erweiterte Office-Dokumente Unterstützung
- Dateikomprimierung über 7-Zip Bibliothek
- Ablesungen Länge Ablesebemerkung bei Eingabe auf 40 Zeichen
- Bugfix Konzentration 100 ppm wird als 10.0 ppm abgespeichert
- Bugfix HFG-Protokollierung

WinAlldatNet IVDK 2.0.5715.24886 Beta 25.08.2015 14:49:32
- System.Data.SQLite auf Version 1.0.98.0
- Bugfix Druckausgabe Seitenumbruch
- Bugfix Datenübertragung Access -> MS SQL Server
- Bugfix Erzeugung der Reporting-Datenbank beim MS SQL Server

WinAlldatNet IVDK 2.0.5702.20358 Beta 12.08.2015 12:18:36
- Bugfix Druckvorschau bei abgeschaltetem Netzwerkdrucker
- Bugfix DKG Update
- Datenbankaktualisierung Sonstige Diagnosen und Sonstige Lokalisation auf 40 Zeichen

WinAlldatNet IVDK 2.0.5690.37000 Beta 31.07.2015 21:33:20
- Windows 10 Kompatibilität

WinAlldatNet IVDK 2.0.5685.35268 Beta 26.07.2015 20:35:36
- Aktualisierung Ausdruck Testprotokoll Formular
- Fehlerabsicherung automatische Speicherung Hauptfenster

WinAlldatNet IVDK 2.0.5658.20019 Beta 29.06.2015 12:07:18
- Listen und Berichte Erweiterung auf sechs Filter
- Bugfix Druckausgabe sonstige Diagnosen
- Alphabetische Sortierung Kontaktstoffart und zusätzliche Eingabe über Kontaktstoffart-ID

WinAlldatNet IVDK 2.0.5654.26994 Beta 25.06.2015 15:59:48
- Freie Datumseingabe Geburtsdatum
- Bugfix Druckausgabe
- Erweiterte automatische Speicherung Hauptfenster
- Vorschau Listen und Berichte 

WinAlldatNet IVDK 2.0.5640.25402 Beta 11.06.2015 15:06:44
- Bugfix Neuanlage Blocknummer bei Patienten-Block

WinAlldatNet IVDK 2.0.5639.23711 Beta 10.06.2015 14:10:22
- Bugfix Diagnosen Abschlussdokumentation Typ I 

WinAlldatNet IVDK 2.0.5637.32693 Beta 08.06.2015 19:09:46
- Druckausgabe Pdf-Dokument vor Text-Dokument
- Entfernung Untersuchungsdatum <= Testdatum 

WinAlldatNet IVDK 2.0.5635.17072 Beta 06.06.2015 10:29:04
- Bugfix Laden/Speichern Textblöcke
- Bugfix Neuanlage Patienten-Block
- Bugfix Relevanz Anzeige

WinAlldatNet IVDK 2.0.5634.18998 Beta 05.06.2015 11:33:16
- Datensicherung Kennwortvergabe Textänderung auf "Optionale Datei-Verschlüsselung"
- Datensicherung "Bitte warten..."-Fenster schließt vor der Durchlauf-Nachricht
- Bugfix Speicherfehler Anamnese wenn "Bief an" leer

WinAlldatNet IVDK 2.0.5633.34801 Beta 04.06.2015 20:20:02
- Neuer Parameter -update

WinAlldatNet IVDK 2.0.5633.28095 Beta 04.06.2015 16:36:30
- Intranet-Updatefunktion
- Anzeige Dateien im Anamnese Dokumente-Ordner ohne Unterordner
- Bugfix Zugangsberechtigung Benutzeranzeige

WinAlldatNet IVDK 2.0.5630.21168 Beta 01.06.2015 12:45:36
- System.Data.SQLite auf Version 1.0.97.0 
- Vorschau Reporting Erstellung Basistabellen
- Liste der mehrfach getesteten Substanzen als Menüeintrag
- Aktualisierte Sprachdatei

WinAlldatNet IVDK 2.0.5613.22518 Beta 15.05.2015 13:30:36
- Überarbeitung Dialog DKG-Update
- Überarbeitung Benutzeranmeldung
- KIS-Dateiausgabe Text-, XML- und PDF-Format
- Vorschau Reporting
- Bugfix Relevanz-Anzeige

WinAlldatNet IVDK 2.0.5569.23933 Beta 01.04.2015 14:17:46
- Diverse Bugfixen

WinAlldatNet IVDK 2.0.5567.24092 Beta 30.03.2015 14:23:04
- DKG Testreihenupdate geändertes Tabellen-Backup
- Neue Anzeige Liste der Testreihen mit Testsubstanzen

WinAlldatNet IVDK 2.0.5554.21019 Alpha 17.03.2015 11:40:38
- Sprachdatei
- Bugfix Zugangsberechtigung

WinAlldatNet IVDK 2.0.5547.24425 Alpha 10.03.2015 13:34:10
- Zusatzfragenverwaltung geändertes Rechtemanagement 

WinAlldatNet IVDK 2.0.5546.37192 Alpha 09.03.2015 20:39:44
- System.Data.SQLite auf Version 1.0.96.0 
- Zugangsberechtigung Benutzer hinzufügen und löschen
- Zusatzfragenverwaltung vereinfachte Bedienung

WinAlldatNet IVDK 2.0.5539.39895 Alpha 02.03.2015 22:09:50
- System.Data.SQLite auf Version 1.0.95.0 
- SQLite auf Version 3.8.8.3
- Hilfedatei vom 19.02.2015
- Verbesserte Qualitätsvorkontrolle
- Zusätzliche Sicherheitsabfragen bei der Datenübertragung

WinAlldatNet IVDK 2.0.5527.38817 Alpha 18.02.2015 21:33:54
- Ablesungen Zeitauswahl "spät" auf maximal 28 Tage
- Qualitätskontrollen Zusatzauswahl "Nur noch nicht übertragene Fälle prüfen"
- Datumsüberprüfung bei Datenübertragung nur noch für zu übertragende Fälle
- Bugfix Datenübertragung, Relevanzbeschreibung

WinAlldatNet IVDK 2.0.5519.21844 Alpha 10.02.2015 12:08:08
- winalldatup.exe auf Version 1.2.5519.22132

WinAlldatNet IVDK 2.0.5519.19393 Alpha 10.02.2015 10:46:26
- Bugfix Protokollierung von Namensänderungen

WinAlldatNet IVDK 2.0.5518.41942 Alpha 09.02.2015 23:18:04
- Protokollierung von Namensänderungen
- Anzeige Änderungen Patientendaten
- Anzeige Änderungsprotokoll
- Erweiterte Funktionalität Zusatzfragenverwaltung
